function love.load()
	require "debug"
	require "player"
	require "stage"

	--GLOBAL VARIABLES
	screen_w = love.graphics.getWidth()
	screen_h = love.graphics.getHeight()

	--INITIALIZE
	love.graphics.setBackgroundColor(5,5,30)
	player.load()
	stage.load()

end

function love.update(dt)
	love.timer.sleep(1/60) -- Limit to 60FPS
	player.update(dt)
end

function love.draw()
	--DRAW CLASS
	player.draw()
	stage.draw()

	--DEBUG
	love.graphics.setColor(255, 0, 0, 255)
	love.graphics.print("FPS: " .. love.timer.getFPS(), 0, 0)
	love.graphics.print("PLAYERX: " .. player.x, 0, 15)
	love.graphics.print("PLAYERY: " .. player.y, 0, 30)
end